'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0e20a87a.js');
const defaultIconPack = require('./default-icon-pack-d94ddba8.js');
const index$1 = require('./index-211dabb8.js');

const dyteLeaveButtonCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteLeaveButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
  }
  leave() {
    this.stateUpdate.emit({ activeLeaveConfirmation: true });
  }
  render() {
    const text = this.t('leave');
    return (index.h(index.Host, { label: text }, index.h("dyte-controlbar-button", { class: "leave", onClick: () => this.leave(), size: this.size, icon: this.iconPack.call_end, label: text })));
  }
};
DyteLeaveButton.style = dyteLeaveButtonCss;

exports.dyte_leave_button = DyteLeaveButton;
