'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0e20a87a.js');
const defaultIconPack = require('./default-icon-pack-d94ddba8.js');
const index$1 = require('./index-211dabb8.js');

const dyteSettingsToggleCss = ":host{display:block}";

const DyteSettingsToggle = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
  }
  toggleSettings() {
    this.stateUpdate.emit({ activeSettings: !this.states.activeSettings });
  }
  render() {
    const text = this.t('settings');
    return (index.h(index.Host, { title: text }, index.h("dyte-controlbar-button", { size: this.size, onClick: () => this.toggleSettings(), icon: this.iconPack.settings, label: text })));
  }
};
DyteSettingsToggle.style = dyteSettingsToggleCss;

exports.dyte_settings_toggle = DyteSettingsToggle;
