import { Component, Host, h, Prop } from '@stencil/core';
export class DyteButton {
  constructor() {
    /** Button variant */
    this.variant = 'accent';
    /** Button type */
    this.kind = 'button';
    /** Whether to reverse order of children */
    this.reverse = false;
    /** Where the button is disabled or not */
    this.disabled = false;
  }
  render() {
    return (h(Host, null,
      h("button", { part: "button" },
        h("slot", { name: "start" }),
        h("slot", null),
        h("slot", { name: "end" }))));
  }
  static get is() { return "dyte-button"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["dyte-button.css"]
  }; }
  static get styleUrls() { return {
    "$": ["dyte-button.css"]
  }; }
  static get properties() { return {
    "size": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "Size",
        "resolved": "\"lg\" | \"md\" | \"sm\" | \"xl\"",
        "references": {
          "Size": {
            "location": "import",
            "path": "../../types/props"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Size"
      },
      "attribute": "size",
      "reflect": true
    },
    "variant": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "ButtonVariant",
        "resolved": "\"accent\" | \"ghost\" | \"neutral\" | \"outline\"",
        "references": {
          "ButtonVariant": {
            "location": "local"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Button variant"
      },
      "attribute": "variant",
      "reflect": true,
      "defaultValue": "'accent'"
    },
    "kind": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'button' | 'icon' | 'split' | 'wide'",
        "resolved": "\"button\" | \"icon\" | \"split\" | \"wide\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Button type"
      },
      "attribute": "kind",
      "reflect": true,
      "defaultValue": "'button'"
    },
    "reverse": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Whether to reverse order of children"
      },
      "attribute": "reverse",
      "reflect": true,
      "defaultValue": "false"
    },
    "disabled": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Where the button is disabled or not"
      },
      "attribute": "disabled",
      "reflect": true,
      "defaultValue": "false"
    }
  }; }
}
