import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const dyteButtonCss = ":host{position:relative;box-sizing:border-box;display:inline-flex;height:var(--dyte-space-8, 32px);flex-direction:column;padding-left:var(--dyte-space-3, 12px);padding-right:var(--dyte-space-3, 12px);font-family:var(--dyte-font-family, sans-serif);border-radius:var(--dyte-border-radius-md, 8px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-brand-500, 33 96 253) / var(--tw-bg-opacity));color:rgb(var(--dyte-colors-text-1000, 255 255 255));--tw-shadow:0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color), 0 2px 4px -2px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;font-size:16px;transition-property:color, background-color, border-color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-text-decoration-color, -webkit-backdrop-filter;transition-property:color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;transition-property:color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-text-decoration-color, -webkit-backdrop-filter;transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-duration:150ms;cursor:pointer}:host(:hover),:host(:focus){--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-brand-700, 2 70 253) / var(--tw-bg-opacity))}button{display:inline-flex;flex:1 1 0%;align-items:center;justify-content:center;height:100%;width:100%;border-width:var(--dyte-border-width-none, 0);border-style:none;outline:2px solid transparent;outline-offset:2px;background-color:transparent;color:inherit;border-radius:inherit;fill:inherit;cursor:inherit;font-family:inherit;font-size:inherit;line-height:inherit}::slotted(dyte-icon){height:var(--dyte-space-6, 24px);width:var(--dyte-space-6, 24px)}::slotted(dyte-icon[slot='start']){margin-right:var(--dyte-space-1, 4px)}:host([kind='icon']){height:var(--dyte-space-8, 32px);width:var(--dyte-space-8, 32px);padding:var(--dyte-space-0, 0px)}:host([disabled]){cursor:not-allowed;--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-600, 60 60 60) / var(--tw-bg-opacity))}:host([variant='outline']){--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-1000, 8 8 8) / var(--tw-bg-opacity));color:rgb(var(--dyte-colors-text-700, 255 255 255 / 0.64));border:var(--dyte-border-width-sm, 1px) solid rgb(var(--dyte-colors-background-600, 60 60 60))}:host([variant='neutral']){border-radius:var(--dyte-border-radius-none, 0);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-1000, 8 8 8) / var(--tw-bg-opacity));color:rgb(var(--dyte-colors-text-700, 255 255 255 / 0.64))}:host([variant='ghost']){background-color:transparent;color:rgb(var(--dyte-colors-text-600, 255 255 255 / 0.52));box-shadow:none}:host([variant='ghost']:hover),:host([variant='ghost']:focus){--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-700, 44 44 44) / var(--tw-bg-opacity));color:rgb(var(--dyte-colors-text-1000, 255 255 255))}";

const DyteButton = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /** Button variant */
    this.variant = 'accent';
    /** Button type */
    this.kind = 'button';
    /** Whether to reverse order of children */
    this.reverse = false;
    /** Where the button is disabled or not */
    this.disabled = false;
  }
  render() {
    return (h(Host, null, h("button", { part: "button" }, h("slot", { name: "start" }), h("slot", null), h("slot", { name: "end" }))));
  }
  static get style() { return dyteButtonCss; }
}, [1, "dyte-button", {
    "size": [513],
    "variant": [513],
    "kind": [513],
    "reverse": [516],
    "disabled": [516]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-button"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-button":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteButton);
      }
      break;
  } });
}

export { DyteButton as D, defineCustomElement as d };
