import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const dyteSpinnerCss = ":host{box-sizing:border-box;display:block;height:var(--dyte-space-10, 40px);width:var(--dyte-space-10, 40px);--dyte-spinner-color:currentColor}.spinner{height:100%;width:100%}@-webkit-keyframes spin{to{transform:rotate(360deg)}}@keyframes spin{to{transform:rotate(360deg)}}.spinner{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite;border-radius:9999px;background-color:transparent;border:var(--dyte-border-width-sm, 1px) solid var(--dyte-spinner-color, rgb(var(--dyte-colors-brand-500, 33 96 253)));border-left:none;border-bottom:none;-webkit-animation-duration:0.7s;animation-duration:0.7s}";

const DyteSpinner = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("div", { class: "spinner" })));
  }
  static get style() { return dyteSpinnerCss; }
}, [1, "dyte-spinner"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-spinner"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-spinner":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteSpinner);
      }
      break;
  } });
}

export { DyteSpinner as D, defineCustomElement as d };
