import { g as gracefulStorage } from './graceful-storage.js';

const KEY = 'dyte-prefs';
const setPreference = (key, value) => {
  const data = JSON.parse(gracefulStorage.getItem(KEY) || '{}');
  data[key] = JSON.stringify(value);
  gracefulStorage.setItem('dyte-prefs', JSON.stringify(data));
};
const getPreference = (key) => {
  const data = JSON.parse(gracefulStorage.getItem(KEY) || '{}');
  return data[key];
};
const getUserPreferences = () => {
  const prefs = JSON.parse(gracefulStorage.getItem(KEY) || '{}');
  const mirrorVideo = prefs['mirror-video'] === 'true';
  const muteNotificationSounds = prefs['mute-notification-sounds'] === 'true';
  return { mirrorVideo, muteNotificationSounds };
};

export { getPreference as a, getUserPreferences as g, setPreference as s };
