import { Meeting } from '../../types/dyte-client';
import { Size } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
import { IconPack } from '../../lib/icons';
import { Message } from '@dyte-in/client-core/types/client/DyteChat';
declare type ChatMessage = {
  type: 'chat';
  message: Message;
};
declare type PluginMessage = {
  type: 'plugin';
  data: {};
};
declare type Chat = ChatMessage | PluginMessage;
export declare class DyteChat {
  private chatEl;
  private textArea;
  private chatUpdateListener;
  private request;
  private timeout;
  host: HTMLDyteChatElement;
  /** Meeting object */
  meeting: Meeting;
  /** Config */
  config: UIConfig;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  chat: Chat[];
  shiftDown: boolean;
  now: Date;
  autoScrollEnabled: boolean;
  dropzoneActivated: boolean;
  canSend: boolean;
  canSendTextMessage: boolean;
  canSendFiles: boolean;
  connectedCallback(): void;
  componentDidLoad(): void;
  componentDidRender(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private handleSendMessage;
  private handleKeyDown;
  private handleKeyUp;
  private uploadFile;
  private handleFilesDataTransfer;
  private sendFile;
  render(): any;
}
export {};
