import { IconPack } from '../../lib/icons';
import { Peer } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
export declare class PeerView {
  private videoEl;
  private isSelf;
  private videoUpdateListener;
  private previewUpdateListener;
  /** Position of name tag */
  nameTagPosition: 'bottom-left' | 'bottom-right' | 'bottom-center' | 'top-left' | 'top-right' | 'top-center';
  /** Peer object */
  peer: Peer;
  /** States object */
  states: States;
  /** Variant */
  variant: 'solid' | 'gradient';
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Is preview */
  isPreview: boolean;
  videoEnabled: boolean;
  isMirrored: boolean;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  peerChanged(peer: Peer): void;
  statesChanged(states: States): void;
  render(): any;
}
